
#include "TwinThread.h"
#include "ThreadRunner.h"

TwinThread::TwinThread()
{
	m_thread = new ThreadRunner( this );
}

TwinThread::~TwinThread()
{
	delete m_thread;
}

bool TwinThread::tstart( void )
{
	return m_thread->start();
}

bool TwinThread::tstop( unsigned int timeout )
{
	return m_thread->stop( timeout );
}

bool TwinThread::tisRunning( void )
{
	return m_thread->isRunning();
}

bool TwinThread::tisExited( void )
{
	return m_thread->isExited();
}

void TwinThread::trun( void )
{
}
