
#ifndef __CLIENTSOCKET_H__
#define __CLIENTSOCKET_H__

#include "ClSocket.h"

#include <string>
using namespace std;

class ClientSocket:
 public ClSocket
{
public:
	ClientSocket( const _TCHAR* host, int port );
	virtual ~ClientSocket();
	inline const int& getPort( void ) const
	{
		return m_port;
	}
	const _TCHAR* getRemoteHost( void ) const;
	virtual bool makeSocket( unsigned long uTimeout = 0 ); // 0 - no blocking

private:
	int m_port;
	string m_szHostName;
};

#endif //__CLIENTSOCKET_H__
