
#ifndef __SYSMUTEX_H__
#define __SYSMUTEX_H__

#ifndef _WIN32
#include <pthread.h>
typedef pthread_mutex_t CRITICAL_SECTION;
#else
#include <windows.h>
#endif

class SysMutex
{
public:
	SysMutex();
	virtual ~SysMutex();
	bool lock( void );
	void unlock( void );
	void destroy( void );

private:
	CRITICAL_SECTION m_mutex;
#ifndef _WIN32
	bool m_bUnderDestroy;
#endif
};

#endif //__SYSMUTEX_H__
