
#if !defined( __TWINTHREAD_H__ )
#define __TWINTHREAD_H__

#include "SysThread.h"

class ThreadRunner;

class TwinThread:
 public SysThread  
{
	friend class ThreadRunner;

public:
	TwinThread();
	virtual ~TwinThread();
	virtual bool tstart( void );
	virtual bool tstop( unsigned int timeout = 0 );
	bool tisRunning( void );
	bool tisExited( void );

protected:
	virtual void trun( void );

private:
	ThreadRunner* m_thread;

};

#endif //__TWINTHREAD_H__
