#ifndef __LINUX_DEFS_H_

#ifndef _WIN32

#include <string.h>

typedef char _TCHAR;
#define _T(str) str
#define _tcsinc(ptr) (ptr + 1)

#define _tcscpy strcpy
#define _tcscat strcat
#define _tcslen strlen
#define _tmkdir mkdir
#define _tfopen fopen
#define vsntprintf vsnprintf
#define _tprintf   printf
#define _ftprintf  fprintf
#define _tcscmp    strcmp
#define _tcsicmp   strcasecmp
#define _tcsnicmp  strncasecmp
#define _tcspbrk   strpbrk
#define _tcsncpy   strncpy
#define _stprintf  sprintf
#define _tcstok    strtok
#define _istspace  isspace
#define _tcsstr    strstr
#define _istlower  islower
#define _tcsset    _strset
#define _tcstoul   strtoul
#define _tcsftime  strftime
#define _tcstod    strtod
#define _tcstol    strtol
#define _tsetlocale setlocale
#define _fgetts     fgets
#define _tcsrchr    strrchr
#define _tcschr	    strchr
#define _stscanf    sscanf
#define _trename    rename
#define _tremove    remove
#define _tcscspn    strcspn
#define _tperror    perror
#define _tcsncat    strncat
#define _tsplitpath splitpath
#define _tgetcwd    getcwd
#define _trmdir     rmdir
#else
#include <tchar.h>
#endif // _WIN32
#endif // __LINUX_DEFS_H_
